Page MenuHomePhabricator

Create an instance image like m1.small with 2 CPUs and 30GB space
Closed, ResolvedPublic

Description

We'd like a new image type (perhaps named "ci1.medium"?)

  • 2 CPUs
  • 2 GB RAM
  • 30 GB space

For integration slaves we need 2 CPUs, but m1.medium is larger than we need. This would allow us to create more instances within a smaller quota.

Event Timeline

Krinkle created this task.Apr 21 2015, 4:43 PM
Krinkle assigned this task to Andrew.
Krinkle raised the priority of this task from to Medium.
Krinkle updated the task description. (Show Details)
Krinkle added subscribers: Krinkle, hashar, greg, Aklapper.

This flavor should be limited to the 'integration' project, right? Or will you need it elsewhere?

This flavor should be limited to the 'integration' project, right? Or will you need it elsewhere?

We won't be needing it elsewhere. Perhaps in the future in the contintcloud project, but we can revisit that later.

Andrew closed this task as Resolved.Apr 21 2015, 10:09 PM

Custom flavor ci1.medium should now be available for the Integration project.

Krinkle reopened this task as Open.EditedApr 23 2015, 4:55 AM

Our goal for 30G space was based on the following estimate:

10G for system, 10G for git replication and 10G for workspace.

However we forgot that the allocated space for an instance is split between root (fixed at 18G, not 10G) and /mnt (the rest). The ci1.medium type currently produces an instance with a 12GB /mnt which is too small. We need at least 20G for /mnt.

@Andrew Can you increase ci1.medium to 40GB storage? (Like m1.medium)

hashar closed this task as Resolved.Apr 30 2015, 8:24 PM

Resized by @Andrew

integration-slave-trusty-1021
https://wikitech.wikimedia.org/wiki/Nova_Resource:I-00000be1.eqiad.wmflabs

Instance Typeci1.medium
Number of CPUs2
RAM Size2048 Mb
Allocated Storage40 Gb

ok, I deleted and recreated with 40G. Are the other stats still correct?